use tabs::Tab;

use crate::app::App;
use crate::theme::onedark::ONE_DARK;

pub mod tabs;

impl<'a> eframe::App for App<'a> {
    fn update(&mut self, ctx: &egui::Context, _frame: &mut eframe::Frame) {
        let _background_frame = egui::Frame::default().fill(ONE_DARK.bg);

        tabs::display_tabs(self, ctx);

        match &mut self.tab_state.current_tab {
            tabs::TabTypes::METAR(tab) => tab.display_tab(ctx),
            _ => (),
        }
    }
}
