#![cfg_attr(not(debug_assertions), windows_subsystem = "windows")] // hide console window on Windows in release
mod app;
mod theme;
use app::App;
use egui::ViewportBuilder;

fn main() -> Result<(), eframe::Error> {
    // Log to stdout (if you run with `RUST_LOG=debug`).
    tracing_subscriber::fmt::init();

    // Setup the options for the default window
    let options = eframe::NativeOptions {
        viewport: ViewportBuilder::default(),
        ..Default::default()
    };

    // Create a box to the app and then pass into app creator
    let app = Box::new(App::default());

    //Start rendering and run the application
    eframe::run_native(app.name, options, Box::new(|_cc| Ok(app)))
}
